Skip to main content
POST
/
apps
/
{appId}
/
moderation
/
keywords
Add Keywords
curl --request POST \
  --url https://apimgmt.cometchat.io/apps/{appId}/moderation/keywords \
  --header 'Content-Type: multipart/form-data' \
  --header 'key: <key>' \
  --header 'secret: <secret>' \
  --form 'searchTerms=AI-powered video moderation to detect unsafe content.' \
  --form 'file=<string>' \
  --form id=ID-of-the-word-list \
  --form 'name=Name of the word list' \
  --form 'description=Description of the word list' \
  --form 0.file='@example-file' \
  --form 1.file='@example-file' \
  --form 2.file='@example-file'
{
  "data": {
    "id": "profane-word-list-1",
    "name": "profane word list",
    "description": "Profane word list",
    "category": "word",
    "isCSV": true,
    "searchTerms": [
      "\"a\"",
      "\"b\"",
      "\"c\""
    ],
    "createdAt": 1720023805,
    "updatedAt": 1720023805,
    "revisionId": "253179cf5f665257_profane-word-list-1_1",
    "active": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

Body

multipart/form-data
category
enum<string>
required

Type of entries in the list

Available options:
word,
pattern,
sentence-similarity
searchTerms
string
required

Comma-separated values of keywords or regex patterns if no file is provided.

Example:

"AI-powered video moderation to detect unsafe content."

file
file

CSV file containing the keywords or regex patterns for the list.

id
string

Unique identifier for the word list.

Example:

"ID-of-the-word-list"

name
string

Descriptive name for the word list.

Example:

"Name of the word list"

description
string

Detailed explanation of the word list's purpose.

Example:

"Description of the word list"

Response

200 - application/json

Created Keyword

data
object